package junkutil.sample;

import java.util.List;
import java.util.Map;

import junkutil.common.DataDumper;
import junkutil.common.FileUtil;
import junkutil.common.OptGets;
import junkutil.set.LzList;

/**
 * 引数に与えられたファイルの中で、英字で始まる行だけを出力するプログラム。
 * 引数 -h でヘッダーを出力する。
 * @author Hiroyuki Shiota
 */
public class BatchTest {
	public static void main(String [] args) {
		try {
			OptGets optGets = new OptGets("h");
			Map opts = optGets.parse(args);
			if (opts.get("h") == Boolean.TRUE) {
				System.out.println("====BatchTest Heaader====");
			}
			List argList = optGets.getArgList();
			for (int i = 0; i < argList.size(); i++) {
				String filename = (String)argList.get(i);
				if (!FileUtil.exists(filename)) {
					System.out.println("File not found: " + filename);
					continue;
				}
				List lines = FileUtil.readLines(filename, "EUC-JP");
				List grep = new LzList(lines).grep("^[a-zA-Z]").list();
				for (int j = 0; j < grep.size(); j++) {
					System.out.println((String)grep.get(j));
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
